part of 'pages.dart';

class TilesPage extends StatefulWidget {
  static const routeName = '/tiles_page';

  @override
  _TilesPageState createState() => _TilesPageState();
}

class _TilesPageState extends State<TilesPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: LLSColors.PRIMARY,
        leading: InkWell(
          onTap: () {
            Navigator.of(context).pop();
          },
          child: Container(
            child: Icon(
              CupertinoIcons.back,
              color: LLSColors.WHITE,
            ),
          ),
        ),
        title: const Text(
          'List Tiles',
          style: TextStyle(fontSize: 17),
        ),
        centerTitle: true,
      ),
      body: ListView(
        children: <Widget>[
          const SizedBox(
            height: 20,
          ),
          GestureDetector(
            onTap: () {
              Navigator.of(context).pushNamed(
                StandardsButtonPage.routeName
              );
            },
            child: Container(
              margin: const EdgeInsets.only(left: 15, right: 15, top: 20),
              padding: const EdgeInsets.all(5),
              decoration: BoxDecoration(
                borderRadius: const BorderRadius.all(Radius.circular(7)),
                color: LLSColors.SECONDARY,
                boxShadow: [
                  BoxShadow(
                    color: Colors.black.withOpacity(0.40),
                    blurRadius: 5
                  )
                ]
              ),
              child: LLSListTile(
                color: LLSColors.SECONDARY,
                title: const Text(
                  'Text Online',
                  style: TextStyle(color: LLSColors.WHITE),
                ),
                icon: Icon(
                  CupertinoIcons.forward,
                  color: LLSColors.WHITE,
                )
              ),
            )
          )
        ]
      )
    );
  }
}